From 27c4b6071bbb79176568c72b39fd4e46dc836bf8 Mon Sep 17 00:00:00 2001
From: Calle Dybedahl <calle@init.se>
Date: Wed, 18 Sep 2013 12:33:11 +0200
Subject: [PATCH] Suggested fix for ticket #88778

---
 lib/Net/DNS/Packet.pm | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/lib/Net/DNS/Packet.pm b/lib/Net/DNS/Packet.pm
index 26c8fab..78f6a4c 100644
--- a/lib/Net/DNS/Packet.pm
+++ b/lib/Net/DNS/Packet.pm
@@ -161,6 +161,11 @@ sub decode {
 		$self->print;
 	}
 
+    foreach my $rr ( @{$self->{answer}}, @{$self->{authority}}, @{$self->{additional}} ) {
+        next if $rr->type eq 'OPT';
+        $self->{seen}->{lc( $rr->name ) . $rr->class . $rr->type . $rr->rdatastr} += 1;
+    }
+
 	return wantarray ? ( $self, $offset ) : $self;
 }
 
-- 
1.8.4

